RTEMS: Classic Event Implementation

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Classic Event Implementation
Internal » Classic

## Files
file | eventdata.h
| Classic Event Manager Data Structures.
file | eventimpl.h
| Classic Event Manager Implementation.

## Data Structures
struct | Event_Control

## Macros
#define | EVENT_CURRENT 0
#define | EVENT_SETS_NONE_PENDING 0

## Functions
rtems_status_code | _Event_Seize (rtems_event_set event_in, rtems_option option_set, rtems_interval ticks, rtems_event_set *event_out, Thread_Control *executing, Event_Control *event, Thread_Wait_flags wait_class, States_Control block_state, ISR_lock_Context *lock_context)
rtems_status_code | _Event_Surrender (Thread_Control *the_thread, rtems_event_set event_in, Event_Control *event, Thread_Wait_flags wait_class, ISR_lock_Context *lock_context)
void | _Event_Timeout (Objects_Id id, void *arg)
| Timeout Event.
RTEMS_INLINE_ROUTINE void | _Event_Initialize (Event_Control *event)
RTEMS_INLINE_ROUTINE bool | _Event_sets_Is_empty (rtems_event_set the_event_set)
| Checks if on events are posted in the event_set.
RTEMS_INLINE_ROUTINE void | _Event_sets_Post (rtems_event_set the_new_events, rtems_event_set *the_event_set)
| Posts the given new_events into the event_set passed in.
RTEMS_INLINE_ROUTINE rtems_event_set | _Event_sets_Get (rtems_event_set the_event_set, rtems_event_set the_event_condition)
| Returns the events in event_condition that are set in event_set.
RTEMS_INLINE_ROUTINE rtems_event_set | _Event_sets_Clear (rtems_event_set the_event_set, rtems_event_set the_mask)
| Removes the events in mask from the event_set passed in.

## Detailed Description

## Macro Definition Documentation

## ◆ EVENT_CURRENT

#define EVENT_CURRENT 0

This constant is passed as the event_in to the rtems_event_receive directive to determine which events are pending.

## ◆ EVENT_SETS_NONE_PENDING

#define EVENT_SETS_NONE_PENDING 0

The following constant is the value of an event set which has no events pending.

## Function Documentation

## ◆ _Event_sets_Clear()

RTEMS_INLINE_ROUTINE rtems_event_set _Event_sets_Clear | ( | rtems_event_set | the_event_set,
|  | rtems_event_set | the_mask
| ) |  |

Removes the events in mask from the event_set passed in.

This function removes the events in mask from the event_set passed in. The result is returned to the user in event_set.

## ◆ _Event_sets_Get()

RTEMS_INLINE_ROUTINE rtems_event_set _Event_sets_Get | ( | rtems_event_set | the_event_set,
|  | rtems_event_set | the_event_condition
| ) |  |

Returns the events in event_condition that are set in event_set.

This function returns the events in event_condition which are set in event_set.

## ◆ _Event_sets_Is_empty()

RTEMS_INLINE_ROUTINE bool _Event_sets_Is_empty | ( | rtems_event_set | the_event_set | ) |

Checks if on events are posted in the event_set.

This function returns TRUE if on events are posted in the event_set, and FALSE otherwise.

## ◆ _Event_sets_Post()

RTEMS_INLINE_ROUTINE void _Event_sets_Post | ( | rtems_event_set | the_new_events,
|  | rtems_event_set * | the_event_set
| ) |  |

Posts the given new_events into the event_set passed in.

This routine posts the given new_events into the event_set passed in. The result is returned to the user in event_set.